import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Type } from "tidily";
export declare class PayfuncDisplayEdit {
  type: Type;
  value?: any;
  name: string;
  select: any[];
  deletable: boolean;
  changed: EventEmitter<string>;
  adding: boolean;
  selected: any;
  mode: "display" | "input";
  t: langly.Translate;
  element: HTMLElement;
  componentWillLoad(): void;
  private onSubmit;
  private onDelete;
  private reset;
  onSelectionChanged(e: CustomEvent<{
    identifier: string;
    value: string;
  }>): void;
  render(): any;
}
